<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/refs.basic.other.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'zh',
  ),
  'this' => 
  array (
    0 => 'book.yaml.php',
    1 => 'Yaml',
    2 => 'YAML 数据序列化',
  ),
  'up' => 
  array (
    0 => 'refs.basic.other.php',
    1 => '其它基本扩展',
  ),
  'prev' => 
  array (
    0 => 'v8jsexception.getjstrace.php',
    1 => 'V8JsException::getJsTrace',
  ),
  'next' => 
  array (
    0 => 'yaml.setup.php',
    1 => '安装/配置',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'zh',
    'path' => 'reference/yaml/book.xml',
  ),
  'history' => 
  array (
  ),
  'extra_header_links' => 
  array (
    'rel' => 'alternate',
    'href' => '/manual/en/feeds/book.yaml.atom',
    'type' => 'application/atom+xml',
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="book.yaml" class="book">
 
 <h1 class="title">YAML 数据序列化</h1>
 

 
 <div id="intro.yaml" class="preface">
  <h1 class="title">简介</h1>
  <p class="para">
   本扩展实现了 <a href="http://www.yaml.org/" class="link external">&raquo;&nbsp;YAML Ain&#039;t
   Markup Language (YAML)</a> 数据序列化标准。
   通过 <a href="http://pyyaml.org/wiki/LibYAML" class="link external">&raquo;&nbsp;LibYAML
   library</a> 来解析和编码。 
  </p>
 </div>
 

 







 








 









 
 





 








<ul class="chunklist chunklist_book"><li><a href="yaml.setup.php">安装/配置</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.requirements.php">需求</a></li><li><a href="yaml.installation.php">安装</a></li><li><a href="yaml.configuration.php">运行时配置</a></li></ul></li><li><a href="yaml.constants.php">预定义常量</a></li><li><a href="yaml.examples.php">示例</a></li><li><a href="yaml.callbacks.php">Callbacks</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.callbacks.parse.php">Parse callbacks</a></li><li><a href="yaml.callbacks.emit.php">Emit callbacks</a></li></ul></li><li><a href="ref.yaml.php">Yaml 函数</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="function.yaml-emit.php">yaml_emit</a> — Returns the YAML representation of a value</li><li><a href="function.yaml-emit-file.php">yaml_emit_file</a> — Send the YAML representation of a value to a file</li><li><a href="function.yaml-parse.php">yaml_parse</a> — Parse a YAML stream</li><li><a href="function.yaml-parse-file.php">yaml_parse_file</a> — Parse a YAML stream from a file</li><li><a href="function.yaml-parse-url.php">yaml_parse_url</a> — Parse a Yaml stream from a URL</li></ul></li></ul></div><?php manual_footer($setup); ?>